/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   James Dietrich <https://github.com/upmostly>
 * @author   Pedro Pelaez <pedro@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

.react-switch-checkbox {
  height: 0;
  width: 0;
  visibility: hidden;
  display: none;
}

.react-switch-label {
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  width: 45px;
  height: 22px;
  background: $color-grey-06;
  border-radius: 100px;
  position: relative;
  transition: background-color .2s;
}

.react-switch-label-on {
  background: $color-green-06;
}

.react-switch-label .react-switch-button {
  width: 22px;
  height: 22px;
  background: $color-white-01;
  box-shadow: 0 0 2px 0 $transparency-black-08;
  border-radius: 22px;
  outline: 1px solid $color-green-06;
  transition: 0.2s;
  position: absolute;
  top: 0;
  left: 0;
}

.react-switch-checkbox:checked + .react-switch-label .react-switch-button {
  left: calc(100% + 1px);
  transform: translateX(-100%);
}

.react-switch-label:active .react-switch-button {
  width: 30px;
}
